#ifndef __CARBONSTUFF__
#include "CarbonStuff.h"
#endif

void GetWindowPortRect(WindowRef windowReference, Rect *portRect)
{
#if CALL_NOT_IN_CARBON
	*portRect = windowReference->portRect;
#else
	GetPortBounds(GetWindowPort(windowReference), portRect);
#endif
}


#if ! CALL_NOT_IN_CARBON

EXTERN_API( long )
GetScrap(Handle destination, ScrapFlavorType flavorType, SInt32* offset)
// The offset parameter is ALWAYS set to 0 !!!
// Since it seems that it is never used by pro Fit.
{	ScrapRef	scrap;
	OSStatus	st;
	Size			sz;
	
	*offset = 0;
	if ((st = GetCurrentScrap(&scrap)) == noErr)
	{	st = GetScrapFlavorSize(scrap, flavorType, &sz);
		if (st == noErr && destination != nil)
		{	SetHandleSize(destination, sz);
			st = MemError();
			if (st == noErr)
			{	HLock(destination);
				st = GetScrapFlavorData(scrap, flavorType, &sz, *destination);
				HUnlock(destination);
			}
		}
	}
	
	return (st == noErr) ? sz: st;
} // GetScrap

#endif
